;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Storage 8.0 installer IIF2 file
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel Matrix Storage Manager
imsm_ver=%GetDriverVersion(IMSM)%
INVM_ver=%GetDriverVersion(iaNvStor)%
startfolder=%GetString(16)%
startfolder2=%GetString(27)%
[/variables]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;; DIFx and Uninstall placement specific ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
sequence=10
group=IMSM
[/copy file]

[copy directory]
source=%path%\x64\
destination=%installdir%\Uninstall\x64
uninstall=true
error=ignore
sequence=12
group=IMSM
[/copy directory]

[copy file]
source=%path%\setup.exe
destination=%installdir%\Uninstall\imsmudlg.exe
uninstall=false
sequence=13
group=IMSM
[/copy file]

[copy directory]
source=%path%\Lang\Storage\
destination=%installdir%\Uninstall\Lang\Storage
uninstall=true
error=ignore
sequence=14
group=IMSM
[/copy directory]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\INVM
keyvalue=LogPath
keydata=%GetSwitch(report)%
keytype=sz
uninstall=true
sequence=15
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsCmd(report)
group=ITM
[/registry]

; This will shutdown the IMSM UI if it's active when install starts
[process]
exepath=shell.exe
terminate=oninstall
error=ignore
[/process]

; This will shutdown the INVM UI if it's active when install starts
[process]
exepath=shellex.exe
terminate=oninstall
error=ignore
[/process]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;; IMSM Specific Application entries ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[copy file]
source=%path%\Application\PI_IMSM.dll
destination=%installdir%\PI_IMSM.dll
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6000
group=IMSM
[/copy file]

[copy file]
source=%path%\readmeIMSM.txt
destination=%installdir%\readmeIMSM.txt
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6005
group=IMSM
[/copy file]

[copy file]
source=%path%\readmeFRA.txt
destination=%installdir%\readmeFRA.txt
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6007
group=IMSM
[/copy file]

[copy file]
source=%path%\readmeJPN.txt
destination=%installdir%\readmeJPN.txt
uninstall=true
error=ignore
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6008
group=IMSM
[/copy file]

[copy file]
source=%path%\Lang\Storage\%lang%\readme.txt
destination=%installdir%\readme.txt
uninstall=true
error=ignore
condition=IfDrvExists(IMSM)
sequence=6010
group=IMSM
[/copy file]

[copy file]
source=%path%\Application\Removedrv\%lang%\removdrv.txt
destination=%installdir%\removdrv.txt
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6020
group=IMSM
[/copy file]

[copy directory]
source=%path%\application\Monitor
destination=%installdir%
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6090
group=IMSM
[/copy directory]

[copy directory]
source=%path%\application\StorageUtility
destination=%installdir%
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6095
group=IMSM
[/copy directory]

[copy directory]
source=%path%\winall\driver64
destination=%installdir%\driver64
uninstall=true
error=ignore
condition=IfDrvExists(IMSM)
sequence=6105
group=IMSM
[/copy directory]

[copy directory]
source=%path%\winall\driver
destination=%installdir%\driver
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6110
group=IMSM
[/copy directory]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\Intel Matrix Storage Manager
keyvalue=InstallPath
keydata=%installdir%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6115
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
keyvalue=WinUiLocation
keydata=%installdir%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6120
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6125
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=WinUiLocation
keydata=%installdir%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6130
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IAAnotif
keydata=%installdir%\iaanotif.exe
keytype=sz
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6135
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6140
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=RAIDNotificationIcon
keydata=2
keytype=dw
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6145
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=PVKitVersion
keydata=0
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6150
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=Version
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6155
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager\%imsm_ver%
keyvalue=Version
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6160
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
keyvalue=LastKitInstalled
keydata=%imsm_ver%
keytype=sz
uninstall=true
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6165
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
keyvalue=EventMessageFile
keydata=iaantmon.exe
keytype=sz
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6170
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
keyvalue=TypesSupported
keydata=+7
keytype=dw
uninstall=true
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6175
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=DisplayName
keydata=%GetString(16)%
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6180
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=UninstallString
keydata=%installdir%\Uninstall\imsmudlg.exe -uninstall
keytype=sz
uninstall=true
condition=IfDrvExists(IMSM)
sequence=6185
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=Publisher
keydata=Intel Corporation
keytype=sz
uninstall=true
sequence=6190
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=InstallLocation
keydata=%installdir%
keytype=sz
uninstall=true
sequence=6195
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=DisplayIcon
keydata=%installdir%\Shell.exe,0
keytype=sz
uninstall=true
sequence=6197
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=NoModify
keydata=1
keytype=dw
uninstall=true
sequence=6200
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=NoRepair
keydata=1
keytype=dw
uninstall=true
sequence=6205
group=IMSM
[/registry]

[services]
servicename=IAANTMON
displayname=Intel(R) Matrix Storage Event Monitor
servicetype=SERVICE_WIN32_OWN_PROCESS
starttype=SERVICE_AUTO_START
binpath=%installdir%\IAANTMon.exe
dependson=winmgmt
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
uninstall=true
sequence=6210
group=IMSM
[/services]

[process]
exepath=%installdir%\IAAnotif.exe
condition=IsNotCmd(nomon) && IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6215
kill=yes
group=IMSM
[/process]

[registerdll]
dllpath=%installdir%\PI_IMSM.dll
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6220
group=IMSM
[/registerdll]

[shortcut]
target=%installdir%\Shell.exe
path=%startmenu%\%startfolder%\%GetString(33)%.lnk
description=%GetString(33)%
condition=IsNotCmd(nogui) && IfDrvExists(IMSM) && IsNotCmd(noimsmgui)
sequence=6225
group=IMSM
[/shortcut]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;; INVM Specific install steps, done if INVM present;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;INVM is sequenced because the IaNvSrv.exe must execute after the install of the driver

[copy file]
source=%path%\readmeNVM.txt
destination=%installdir%\readmeNVM.txt
uninstall=true
error=ignore
condition=IfDrvExists(iaNvStor) && IsOS(1024)
sequence=7000
group=ITM
[/copy file]

[copy file]
source=%path%\Winall\INVM\x32\nvccoin.dll
destination=%system%\nvccoin.dll
uninstall=true
error=ignore
sequence=7005
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
group=ITM
[/copy file]

[copy file]
source=%path%\OROM\INVM\Prod.rom
destination=%installdir%\OROM\INVM\Prod.Rom
uninstall=true
error=ignore
sequence=7010
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/copy file]

[copy file]
source=%path%\OROM\IaNvSrv\IaNvSrv.exe
destination=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
uninstall=true
error=ignore
sequence=7015
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/copy file]

[copy directory]
source=%path%\application\INVM
destination=%installdir%\Extn
uninstall=true
sequence=7020
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui) 
group=ITM
[/copy directory]

[copy directory]
source=%path%\application\INVM\%lang%
destination=%installdir%\Extn
uninstall=true
sequence=7025
error=ignore
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui) 
group=ITM
[/copy directory]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\INVM
keyvalue=Version
keydata=%INVM_ver%
keytype=sz
uninstall=true
sequence=7030
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\INVM
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
sequence=7035
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
keyvalue=OROMPath
keydata=%installdir%\OROM\INVM\Prod.Rom
keytype=sz
uninstall=true
sequence=7040
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\INVM
keyvalue=OROMPath
keydata=%installdir%\OROM\INVM\Prod.Rom
keytype=sz
uninstall=true
sequence=7041
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IaNvSrv
keydata=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
keytype=sz
uninstall=true
sequence=7045
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(noitmgui)
group=ITM
[/registry]

; With ITM, Display name of IMSM changes
[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9068B2BE-D93A-4C0A-861C-5E35E2C0E09E}
keyvalue=DisplayName
keydata=%GetString(2512)%
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsNotCmd(noitmgui)
sequence=7050
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=DisplayName
keydata=%GetString(29)%
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7055
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=UninstallString
keydata=%installdir%\Uninstall\imsmudlg.exe -uninstall -itmonly
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7060
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=Publisher
keydata=Intel Corporation
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7065
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=InstallLocation
keydata=%installdir%
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7070
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=DisplayIcon
keydata=%installdir%\Extn\ShellEx.exe,0
keytype=sz
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7072
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{31423F74-36B2-4d24-B10D-CD00BFB7C118}
keyvalue=NoModify
keydata=1
keytype=dw
uninstall=true
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7075
group=ITM
[/registry]

[shortcut]
target=%installdir%\Extn\shellex.exe
args=-pTurboMemDefault
path=%startmenu%\%startfolder2%\%GetString(28)%.lnk
description=%GetString(28)%
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(nogui) && IsNotCmd(noitmgui)
sequence=7080
group=ITM
[/shortcut]

[process]
exepath=%installdir%\OROM\IaNvSrv\IaNvSrv.exe
parameters=/force
condition=IfDrvExists(iaNvStor) && IsOS(1024) && IsNotCmd(noitmgui)
sequence=7085
sendquit=yes
window=hide
group=ITM
[/process]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; INVM Ready Drive related Registry Entries
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=FileSizeKB
keydata=32768
keytype=dw
uninstall=true
sequence=7500
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.RanRead
keydata=4
keytype=dw
uninstall=true
sequence=7505
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.SeqRead
keydata=64
keytype=dw
uninstall=true
sequence=7510
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.RanWrite
keydata=4
keytype=dw
uninstall=true
sequence=7515
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOSizeKB.SeqWrite
keydata=64
keytype=dw
uninstall=true
sequence=7520
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.RanRead
keydata=128
keytype=dw
uninstall=true
sequence=7525
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.SeqRead
keydata=128
keytype=dw
uninstall=true
sequence=7530
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.RanWrite
keydata=128
keytype=dw
uninstall=true
sequence=7535
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=IOCount.SeqWrite
keydata=128
keytype=dw
uninstall=true
sequence=7540
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.MinResponseTimeUs
keydata=136
keytype=dw
uninstall=true
sequence=7545
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.MaxResponseTimeUs
keydata=388
keytype=dw
uninstall=true
sequence=7550
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.AvgResponseTimeUs
keydata=262
keytype=dw
uninstall=true
sequence=7555
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanRead.ThroughputKBs
keydata=15238
keytype=dw
uninstall=true
sequence=7560
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.MinResponseTimeUs
keydata=1361
keytype=dw
uninstall=true
sequence=7565
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.MaxResponseTimeUs
keydata=2455
keytype=dw
uninstall=true
sequence=7570
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.AvgResponseTimeUs
keydata=1908
keytype=dw
uninstall=true
sequence=7575
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqRead.ThroughputKBs
keydata=33532
keytype=dw
uninstall=true
sequence=7580
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.MinResponseTimeUs
keydata=66
keytype=dw
uninstall=true
sequence=7585
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.MaxResponseTimeUs
keydata=685
keytype=dw
uninstall=true
sequence=7590
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.AvgResponseTimeUs
keydata=99
keytype=dw
uninstall=true
sequence=7595
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=RanWrite.ThroughputKBs
keydata=40204
keytype=dw
uninstall=true
sequence=7600
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.MinResponseTimeUs
keydata=207
keytype=dw
uninstall=true
sequence=7605
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.MaxResponseTimeUs
keydata=431
keytype=dw
uninstall=true
sequence=7610
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.AvgResponseTimeUs
keydata=250
keytype=dw
uninstall=true
sequence=7615
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\iaNvStor\Parameters
keyvalue=SeqWrite.ThroughputKBs
keydata=255536
keytype=dw
uninstall=true
sequence=7620
condition=IfDrvExists(iaNvStor) && IsOS(1024)
group=ITM
[/registry]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;Remove the specific uninstall keys written;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager
uninstall=only
sequence=1
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Console
uninstall=only
sequence=2
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\EventLog\Application\IAANTmon
uninstall=only
sequence=3
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\INVM
uninstall=only
sequence=4
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Intel Matrix Storage Manager\%imsm_ver%
uninstall=only
sequence=5
group=IMSM
[/registry]

[registry]
keyroot=HKLM
keypath=system\CurrentControlSet\Services\IaNvStor\Parameters
uninstall=only
sequence=6
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Robson
uninstall=only
sequence=7
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\Turbo Memory
uninstall=only
sequence=8
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=Software\Microsoft\Windows\CurrentVersion\RunOnce
keyvalue=NVCoin
uninstall=only
sequence=10
group=ITM
[/registry]

[registry]
keyroot=HKLM
keypath=Software\Microsoft\Windows\CurrentVersion\Run
keyvalue=NVCoin
uninstall=only
sequence=12
group=ITM
[/registry]
